package org.jxul.css;

import java.io.*;

/**
 * A CSS Token
 */
public class CssToken
{
    public static final int TOK_SELECTOR = 0;
    public static final int TOK_STATEMENT = 1;
    
    public static final String [] types = 
    {
        "SELECTOR",
        "STATEMENT",
    };
    
    private int type;
    private String value;
    
    public int getType() { return type; }
    public String getValue() { return value; }
    
    public CssToken(int type, String value)
    {
        this.type = type;
        this.value = value;
    }            
    
    public String toString()
    {
        return "CssToken{type:" + types[type] + ",value:"+ value +"}";
    }
}
