/* XulGroupBox.java */
package org.jxul.framework;

import java.io.*;
import javax.swing.*;
import javax.swing.border.*;
import java.util.*;

import org.w3c.dom.*;

import org.jxul.util.*;

/**
 * A XUL Group Box. 
 * @author Kevin T. Smith
 */
public class XulGroupBox extends XulBox
{
    public static final boolean debug;
    
    static
    {
        // this variation works in both applets and applications
        boolean temp = false;
        try
        {
            String sdebug = System.getProperty("debug");
            if (sdebug != null && sdebug.equalsIgnoreCase("true"))
                temp = true;
            else
                temp = false;
        } catch (Exception e)
          { }
        debug = temp;
    }
    
    private Element titledBoxElement;
    // attributes
    String title;
    Hashtable peerMap;
    
    public XulGroupBox(Element titledBoxElement, Hashtable peerMap) throws XulFormatException
    {
        super(titledBoxElement, peerMap);
        this.titledBoxElement = titledBoxElement;
        
        Attr titleAttr = titledBoxElement.getAttributeNode(XulSyntax.TITLEDBOX_ATTR_LABEL);
        if (titleAttr != null)
        {
            title = titleAttr.getNodeValue();
            if (title != null && title.length() != 0)
            {
                TitledBorder border = new TitledBorder(XmlUtil.normalizeSpaces(title));
                this.setBorder(border);
            }
        }
	//System.out.println("XulGroupBox calling super.processChildren()");
	//processChildren(titledBoxElement);

    } // end of XulGroupBox Constructor
        
    /** for unit testing. */
    public static void main(String args[])
    {
        try
        {
            
        } catch (Throwable t)
          {
            t.printStackTrace();
          }
    }
}
