/* XulVBox.java */
package org.jxul.framework;

import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;

import org.w3c.dom.*;

import org.jxul.util.*;

/**
 * A XUL Titled Box. 
 */
public class XulVBox extends XulBox
{
    public static final boolean debug;
    
    static
    {
        // this variation works in both applets and applications
        boolean temp = false;
        try
        {
            String sdebug = System.getProperty("debug");
            if (sdebug != null && sdebug.equalsIgnoreCase("true"))
                temp = true;
            else
                temp = false;
        } catch (Exception e)
          { }
        debug = temp;
    }
    
    private Element vBoxElement;
    
    public XulVBox(Element vBoxElement, Hashtable peerMap) throws XulFormatException
    {
        super(vBoxElement, peerMap);
        this.vBoxElement = vBoxElement;

        align = XulSyntax.BOX_ATTR_ALIGN_VERTICAL;
        this.setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
    } // end of XulVBox Constructor
        
    /** for unit testing. */
    public static void main(String args[])
    {
        try
        {
            
        } catch (Throwable t)
          {
            t.printStackTrace();
          }
    }
}
